LotusStyleManagerInternal::FormatStyle Struct Reference

small struct used to defined format style More...

## Public Member Functions
| FormatStyle ()
| constructor

## Public Attributes
std::string | m_prefix
| the prefix
std::string | m_suffix
| the suffix
std::string | m_extra
| extra data

## Friends
std::ostream & | operator<< (std::ostream &o, FormatStyle const &format)
| operator<<

## Detailed Description

small struct used to defined format style

## Constructor & Destructor Documentation

## ◆ FormatStyle()

LotusStyleManagerInternal::FormatStyle::FormatStyle | ( |  | ) |
| inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | FormatStyle const & | format )
| friend

operator<<

## Member Data Documentation

## ◆ m_extra

std::string LotusStyleManagerInternal::FormatStyle::m_extra

extra data

Referenced by FormatStyle(), operator<<, and LotusStyleManager::readFormatStyle().

## ◆ m_prefix

std::string LotusStyleManagerInternal::FormatStyle::m_prefix

the prefix

Referenced by FormatStyle(), operator<<, and LotusStyleManager::readFormatStyle().

## ◆ m_suffix

std::string LotusStyleManagerInternal::FormatStyle::m_suffix

the suffix

Referenced by FormatStyle(), operator<<, and LotusStyleManager::readFormatStyle().

The documentation for this struct was generated from the following file:

- LotusStyleManager.cpp